module Paths_hobbits (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [1,0], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/Users/eddy/.cabal/bin"
libdir     = "/Users/eddy/.cabal/lib/hobbits-1.0/ghc-7.0.1"
datadir    = "/Users/eddy/.cabal/share/hobbits-1.0"
libexecdir = "/Users/eddy/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "hobbits_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "hobbits_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "hobbits_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "hobbits_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
